# A testing guide and test reporting form for testers of the OpenAppStack project

Great that you want to take OpenAppStack for a test drive.
This tutorial contains instructions to get you going,
some pointers on what we think would be useful to test, and guesses at what results of those tests would be
useful to write down.
At any point please feel invited to test whatever functionality you come across, and reporting whatever you
think is interesting. Our contact details are listed [here](https://openappstack.net/contact.html), and we'll
descibe how to give feedback via our issue tracker at the [end of these instructions](#providing-feedback).

During these instructions, please replace *example.org* with your own domain
name.

## Installation

First we'd like you to setup an OpenAppStack cluster by yourself, following the
[installation tutorial](https://docs.openappstack.net/en/latest/installation_instructions.html).

## Command line tests

Please run the [command line tests](troubleshooting.md) which checks the overall
functionality of your cluster and include the output in your feedback.

## Usage

Please go through the [Usage documentation](./usage.md) and make sure you
complete all steps.

## Nextcloud

### Logging into Nextcloud

Please browse to Nextcloud using the link from your user dashboard app list and
try to log in using single sign-on. Use the button labeled `Login with OpenAppStack`.
Please try logging in with your admin account and configure the email settings
as shown in the Usage doc.
After that please login with the user you created in the user panel.

### Nextcloud client application

* If you like, please try the [Nextcloud desktop client](https://nextcloud.com/clients/), connect it to your OpenAppStack instance, and use it to manage some files.
* If you like, please try the [Nextcloud mobile client](https://nextcloud.com/clients/) for your smartphone, connect it to your OpenAppStack instance, and use it to download and/or open some files, upload a new file, etc.


## Onlyoffice

### Creating a new office document

From the main Nextcloud webpage, please try to create a new office document, by clicking the round `plus` button near the top of the screen, then picking the `Document` type with the blue icon (third one from below on my screen), and enter a name for it. After that, please try some basic editing of the document, and save it. Maybe check you can open it again afterwards, and that it has the contents that you saved earlier.

### Collaborating on an office document

This part of the test requires the cooperation of another person; feel free to skip it now if that's not convenient at this point.

* First, try to share your document with a different user.
* Then, try to open the shared document from a few different user accounts simultaneously, and let all participants edit the document mercilessly.
  There are also some collaboration features that you may want to try: on the left of the Onlyoffice screen there are buttons for chat and for text comments.


## Wordpress

Please try to login as the new user you created earlier by pressing "Log in" and
using the `Login with OpenID Connect` button.

At the moment Administrator privileges will not be available for single sign-on
users of WordPress. You can sign in with the automatically created administrator
account. The username is `admin` and the password can be found in the
`wordpress_admin_password` file in the `secrets` folder of your provisioning
machine's config directory.


## Other apps: Rocketchat, Wekan

Here we don't have any particular task for you. Please just login using
single sign-on as `admin` and afterwards as the non-admin single-sign-on user
you created earlier in the admin panel, and test the apps as you like.


## Providing feedback

If you have not done so already, please create an account on [https://open.greenhost.net](https://open.greenhost.net)
(or login with your existing github account) and [create a new issue](https://open.greenhost.net/openappstack/openappstack/issues/new) using the `Feedback` template.

Thanks a lot for your testing work! We'll use your input to try to improve OpenAppStack.
